Name:           file-roller
Version:        3.30.1
Release:        3
Summary:        An archive manager utility for the GNOME Environment

License:        GPLv2+
URL:            https://wiki.gnome.org/Apps/FileRoller
Source0:        https://download.gnome.org/sources/%{name}/3.30/%{name}-%{version}.tar.xz
Patch0:         backport-CVE-2020-11736.patch

BuildRequires:  cpio gettext gcc itstool file-devel pkgconfig(gthread-2.0)
BuildRequires:  meson >= 0.43 pkgconfig(glib-2.0) >= 2.36 pkgconfig(gtk+-3.0) >= 3.13.2 pkgconfig(libnautilus-extension) >= 2.22.2
BuildRequires:  pkgconfig(json-glib-1.0) >= 0.14.0 pkgconfig(libnotify) >= 0.4.3 pkgconfig(libarchive) >= 3.0.0
BuildRequires:  libappstream-glib desktop-file-utils

%description
File Roller is an archive manager that you can create and modify archives;
view the content of an archive;view and modify a file contained in the
archive; extract files from the archive.

%package nautilus
Summary: File Roller extension for nautilus
Requires: %{name}%{_isa} = %{version}-%{release}

%description nautilus
The nautilus package includes the extension for the nautilus file manager. The item
contains in the nautilus context menu allow you to compress directories or files.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.FileRoller.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.FileRoller.desktop

%files -f %{name}.lang
%doc README AUTHORS COPYING NEWS
%{_libexecdir}/file-roller
%{_datadir}/file-roller
%{_bindir}/file-roller
%{_datadir}/icons/hicolor/*/apps/file-roller.png
%{_datadir}/metainfo/org.gnome.FileRoller.appdata.xml
%{_datadir}/applications/org.gnome.FileRoller.desktop
%{_datadir}/dbus-1/services/org.gnome.FileRoller.service
%{_datadir}/icons/hicolor/scalable/apps/file-roller-symbolic.svg
%{_datadir}/glib-2.0/schemas/org.gnome.FileRoller.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.FileRoller.ArchiveManager1.service

%files nautilus
%{_libdir}/nautilus/extensions-3.0/libnautilus-fileroller.so

%changelog
* Thu Jul 29 2021 wangyue <wangyue92@huawei.com> - 3.30.1-3
- Fix CVE-2020-11736

* Thu Oct 17 2019 Yiru Wang <wangyiru1@huawei.com> - 1.20.7-17
- Pakcage init
